#ifndef CLASS_HPP_INCLUDED
#define CLASS_HPP_INCLUDED

#include "Object.hpp"

namespace Internal
{
    class Class : public Object
    {
        public:
            Class(const void* Obj);

            Class() = default;
            Class(Class&& Obj) = default;
            Class(const Class& Obj) = default;
            Class& operator=(Class&& Obj) = default;
            Class& operator=(const Class& Obj) = default;
    };
}

#endif // CLASS_HPP_INCLUDED
